/**
 * 
 */
package com.platomix.intchannel.controller;

import java.awt.Font;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

import com.alibaba.fastjson.JSONObject;
import com.platomix.intchannel.config.R;
import com.platomix.intchannel.manager.ICacheManager;
import com.wf.captcha.SpecCaptcha;
import com.wf.captcha.base.Captcha;

import cn.hutool.core.lang.UUID;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

/**
 * @author wookvn
 *
 */
@RestController
@Api(value = "验证码", tags = "验证码接口")
public class CaptchaController {

	@Autowired
	private ICacheManager cacheManager;
	
	private final static int CAPTCHA_WIDTH = 110;
	private final static int CAPTCHA_HEIGHT = 40;
	
	private final static Logger LOGGER = LoggerFactory.getLogger(CaptchaController.class);
	
	/**
	 * 验证码生成
	 */
	@GetMapping(value = "/captcha")
	@ApiOperation(value = "登录验证码")
	public R<JSONObject> loginCapt(HttpServletRequest request, HttpServletResponse response) {
		JSONObject jsonObject = new JSONObject();
		try {
			response.setContentType("image/jpeg");
			response.setHeader("cache-control", "no-cache");
	        response.setHeader("pragma", "no-cache");
	        response.setDateHeader("expires", -1);

			Captcha captcha = new SpecCaptcha(CAPTCHA_WIDTH, CAPTCHA_HEIGHT, 5);
			captcha.setFont(new Font("Verdana", Font.PLAIN, 32));
			
			String captchaCacheKey = UUID.randomUUID().toString();
			//设置Cache
			cacheManager.set(captchaCacheKey, captcha.text(), 60);
			jsonObject.put("key", captchaCacheKey);
			jsonObject.put("captcha", captcha.toBase64());
		} catch (Exception e) {
			LOGGER.error(e.getMessage(), e);
		}
		return R.ok(jsonObject);
	}
}
