/**
 * 
 */
package com.platomix.intchannel.controller;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.platomix.intchannel.config.R;
import com.platomix.intchannel.model.DealUserAccounts;
import com.platomix.intchannel.model.OrderUsers;
import com.platomix.intchannel.service.DealUserAccountsService;
import com.platomix.intchannel.service.OrderUsersService;
import com.platomix.intchannel.utils.TokenUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Arrays;
import java.util.List;
import java.util.stream.Collectors;

/**
 * @author wookvn
 *
 */
@RestController
@RequestMapping("finance/orderUsers")
@Api(value = "用户发展量", tags = "用户发展量接口")
public class OrderUsersController{

	@Autowired
	private OrderUsersService orderUsersService;

	@Autowired
	private DealUserAccountsService dealUserAccountsService;


	@GetMapping("/page")
	@ApiOperation(value = "用户发展量")
	public R<IPage<OrderUsers>> page(Integer current,Integer size){
		String dealUserId = TokenUtil.getDealUserId();
		QueryWrapper<DealUserAccounts> dealQueryWrapper = new QueryWrapper<DealUserAccounts>();
		dealQueryWrapper.select("DEAL_ACCOUNT_ID").isNotNull("DEAL_ACCOUNT_ID");
		dealQueryWrapper.eq("DEAL_USERID",dealUserId);
		List<DealUserAccounts> dealList = dealUserAccountsService.list(dealQueryWrapper);
		List<String> collect = dealList.stream().map(DealUserAccounts::getDealAccountId).collect(Collectors.toList());

		Page<OrderUsers> page = new Page<>(current,size);
		IPage<OrderUsers> resultPage = orderUsersService.page(page, new LambdaQueryWrapper<OrderUsers>()
				.in(OrderUsers::getDealAccountId, collect)
				.orderByDesc(OrderUsers::getTheDay)
		);
		return R.ok(resultPage);
	}

	
}
