/**
 * 
 */
package com.platomix.intchannel.manager;

/**
 * @author wookvn
 *	缓存接口，需要什么样的缓存中间件实现，实现该接口即可。
 */
public interface ICacheManager {

	/**
	 * 	设置缓存键值对(如果键存在，覆盖旧键值)
	 * @param key     键
	 * @param value   值
	 * @param secords 过期秒数
	 */
	public void set(String key, Object value, long secords);
	
	/**
	 * 	设置缓存键值对(如果键存在，返回false，否则设置成功返回true)
	 * @param key     键
	 * @param value   值
	 * @param secords 过期秒数
	 */
	public boolean add(String key, Object value, long secords);
	
	/**
	 * 	获取缓存值
	 * @param key
	 * @return
	 */
	public Object get(String key);
	
	/**
	 * 删除键值对
	 * @param key
	 */
	public void delete(String key);
	
	/**
	 * 清空缓存
	 */
	public void flush();
}
