/**
 * 
 */
package com.platomix.intchannel.model;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author wookvn
 *
 */
@Data
@TableName("INT_CHANNELS_USER")
@ApiModel(value = "ChannelUser对象", description = "渠道商用户表")
public class ChannelUser implements Serializable {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "用户ID")
	@TableId(value = "USERID", type = IdType.ASSIGN_ID)
	@JsonSerialize(using = ToStringSerializer.class)
	private Long userId;

	@ApiModelProperty(value = "渠道ID")
	@TableField("CHANNELID")
	private String channelId;

	@ApiModelProperty(value = "渠道名称")
	@TableField("CHANNELNAME")
	private String channelName;

	@ApiModelProperty(value = "登录账号")
	@TableField("USERNAME")
	private String userName;

	@ApiModelProperty(value = "登录密码")
	@TableField("PASSWORD")
	private String passWord;

	@ApiModelProperty(value = "创建时间")
	@TableField("CREATETIME")
	private Date createTime;

	@ApiModelProperty(value = "是否超级账号(1-是/0-否)")
	@TableField("SUPERMAN")
	private Integer superMan;

	@ApiModelProperty(value = "账号禁用状态(0-可用/1-禁用)")
	@TableField("DISABLESTATUS")
	private Integer disableStatus;

	@ApiModelProperty(value = "结算用户ID")
	@TableField("DEAL_USERID")
	private String dealUserid;
}