/**
 * 
 */
package com.platomix.intchannel.model;

import java.io.Serializable;
import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author wookvn
 *
 */
@Data
@TableName("V_INT_ONDATERANGE_ACCOUNT")
@ApiModel(value = "DateRangeAccount对象", description = "结算范围内有效用户结算单视图")
public class DateRangeAccount implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	@ApiModelProperty(value = "主键")
	@TableField("SID")
	private Long sid;
	
	@ApiModelProperty(value = "公司名称")
	@TableField("COMPANY")
	private String company;
	
	@ApiModelProperty(value = "渠道ID")
	@TableField("CHANNELID")
	private String channelId;
	
	@ApiModelProperty(value = "渠道名称")
	@TableField("CHANNELNAME")
	private String channelName;
	
	@ApiModelProperty(value = "产品ID")
	@TableField("SPID")
	private String spid;
	
	@ApiModelProperty(value = "产品名称")
	@TableField("SPNAME")
	private String spname;
	
	@ApiModelProperty(value = "产品短名称")
	@TableField("SHORTNAME")
	private String shortname;
	
	@ApiModelProperty(value = "月份")
	@TableField("THEMONTH")
	private BigDecimal theMonth;
	
	@ApiModelProperty(value = "平台有效用户数")
	@TableField("VUSER_PLATFORM")
	private BigDecimal onPlatform;
	
	@ApiModelProperty(value = "结算范围内有效用户数")
	@TableField("VUSER_ONDATERANGE")
	private BigDecimal onDateRange;

	@ApiModelProperty(value = "出账用户数")
	@TableField("ACCOUNT_USERS")
	private BigDecimal accountUsers;
	
	@ApiModelProperty(value = "第一次预估结算金额")
	@TableField("MONEY1")
	private BigDecimal moneyOne;
	
	@ApiModelProperty(value = "第一次扣罚金额：400扣罚")
	@TableField("MONEY1_DISCOUNT")
	private BigDecimal moneyOneDiscount;
	
	@ApiModelProperty(value = "第一次结算金额")
	@TableField("MONEY1_REAL")
	private BigDecimal moneyOneReal;
	
	@ApiModelProperty(value = "第二次预估结算金额")
	@TableField("MONEY2")
	private BigDecimal moneyTwo;
	
	@ApiModelProperty(value = "客服退赔付费")
	@TableField("MONEY2_DISCOUNT1")
	private BigDecimal moneyTwoDiscount1;
	
	@ApiModelProperty(value = "省分违约扣款")
	@TableField("MONEY2_DISCOUNT2")
	private BigDecimal moneyTwoDiscount2;
	
	@ApiModelProperty(value = "调帐金额")
	@TableField("MONEY2_DISCOUNT3")
	private BigDecimal moneyTwoDiscount3;
	
	@ApiModelProperty(value = "不规范定制处罚费")
	@TableField("MONEY2_DISCOUNT4")
	private BigDecimal moneyTwoDiscount4;
	
	@ApiModelProperty(value = "第二次结算金额")
	@TableField("MONEY2_REAL")
	private BigDecimal moneyTwoReal;

	@ApiModelProperty(value = " 结算单ID。一个结算用户可以对应多个结算单，一个结算单可以对应1-N个结算渠道。")
	@TableField("DEAL_ACCOUNT_ID")
	private String dealAccountId;

	@ApiModelProperty(value = "第一次结算总扣罚金额")
	@TableField("MONEY1_DISCOUNT_TOTAL")
	private BigDecimal moneyOneDiscountTotal;

	@ApiModelProperty(value = "第二次结算扣罚金额")
	@TableField("MONEY2_DISCOUNT")
	private BigDecimal moneyTwoDiscount;
	
	/**
	 * 以下2个字段生成PDF使用
	 */
	@TableField(exist = false)
	@ApiModelProperty(hidden = true)
	private BigDecimal partnerIncome;

	@TableField(exist = false)
	@ApiModelProperty(value = "T+1预结/T+5清算")
	private String readyTypeStr;
}
