/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package com.platomix.intchannel.service;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.platomix.intchannel.mapper.InnerBillAuditMapper;
import com.platomix.intchannel.model.InnerBillAudit;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 内部结算-结算单审核表 服务实现类
 *
 * @author zbc
 * @since 2022-07-20
 */
@Service
@DS("slave")
public class InnerBillAuditService extends ServiceImpl<InnerBillAuditMapper, InnerBillAudit> {

	@Autowired
	private InnerBillAuditMapper innerBillAuditMapper;

	public List<Long> customAidList(Page<InnerBillAudit> page, QueryWrapper<InnerBillAudit> queryWrapper) {
		return innerBillAuditMapper.customAidList(page,queryWrapper);
	}

	public long customCount(QueryWrapper<InnerBillAudit> queryWrapper) {
		return innerBillAuditMapper.customCount(queryWrapper);
	}

	public List<InnerBillAudit> customList(QueryWrapper<InnerBillAudit> queryWrapper) {
		return innerBillAuditMapper.customList(queryWrapper);
	}
}
