/**
 * 
 */
package com.platomix.intchannel.utils;

import java.util.stream.Stream;

import com.platomix.intchannel.model.ChannelUser;

/**
 * @author wookvn
 *
 */
public class TokenUtil {

	/**
	 * 登录TOKEN加密aesKey
	 */
	private final static String TOKEN_AES_KEY = "v+S6SPsiYr1pSmQazBTMzQ==";
	
	/**
	 * 
	 */
	private final static String TOKEN_SYMBOL = "#";
	
	public final static String PLATOMIX_TOKEN_HEADER = "platomix-auth";
	
	/**
	 * 创建Token
	 * @param channelUser
	 * @return
	 */
	public static String createToken(ChannelUser channelUser) {
		StringBuilder strBuffer = new StringBuilder();
		strBuffer.append(channelUser.getUserId()).append(TOKEN_SYMBOL)
			.append(channelUser.getUserName()).append(TOKEN_SYMBOL)
			.append(channelUser.getChannelId()).append(TOKEN_SYMBOL)
			.append(channelUser.getSuperMan()).append(TOKEN_SYMBOL)
			.append(channelUser.getDealUserid()).append(TOKEN_SYMBOL)
			.append(System.currentTimeMillis());
		return AESUtils.encode(strBuffer.toString(), TOKEN_AES_KEY);
	}
	
	/**
	 * 
	 * @return
	 */
	public static String getUserName() {
		ChannelUser channelUser = resolve();
		return channelUser.getUserName();
	}
	
	/**
	 * 
	 * @return
	 */
	public static Long getUserId() {
		ChannelUser channelUser = resolve();
		return channelUser.getUserId();
	}
	
	/**
	 * 
	 * @return
	 */
	public static String getChannelId() {
		ChannelUser channelUser = resolve();
		return channelUser.getChannelId();
	}

	/**
	 *
	 * @return
	 */
	public static String getDealUserId() {
		ChannelUser channelUser = resolve();
		return channelUser.getDealUserid();
	}
	
	/**
	 * 
	 * @return
	 */
	public static boolean isSuperMan() {
		ChannelUser channelUser = resolve();
		return channelUser.getSuperMan() == 1;
	}
	
	/**
	 * 
	 * @return
	 */
	public static ChannelUser resolve() {
		String tokenSign = ServletUtils.getRequest().getHeader(PLATOMIX_TOKEN_HEADER);
		if(StringKit.isEmpty(tokenSign)) {
			return null;
		}
		String token = AESUtils.decode(tokenSign, TOKEN_AES_KEY);
		String[] strArr = token.split(TOKEN_SYMBOL);

		ChannelUser channelUser = new ChannelUser();
		channelUser.setUserId(Long.valueOf(strArr[0]));
		channelUser.setUserName(strArr[1]);
		channelUser.setChannelId(strArr[2]);
		channelUser.setSuperMan(Integer.valueOf(strArr[3]));
		channelUser.setDealUserid(strArr[4]);
		return channelUser;
	}
	
	public static void main(String[] args) {
		String token = AESUtils.decode("5IO7aHH43fSbYN9U1jXIzzoIwLdzGv5outZQg9D9apA=", TOKEN_AES_KEY);
		String[] strArr = token.split(TOKEN_SYMBOL);
		Stream.of(strArr).forEach(System.out::println);
	}
}
